//CUITileOptionScale - [2020-04-13 11:57:47]
#ifndef _CUITILEOPTIONSCALE_H_
#define _CUITILEOPTIONSCALE_H_

#include "CUITile.h"

/*
00141084 CUITileOptionScale::CUITileOptionScale(float,float,int,int,int *,int)
00141414 CUITileOptionScale::~CUITileOptionScale()
001410C0 CUITileOptionScale::Render()
001412AC CUITileOptionScale::Process()
001412B0 CUITileOptionScale::ProcessInput(bool)
*/

class CUITileOptionScale : public CUITile {
public:
  CUITileOptionScale(float, float, int, int, int *, int);  //00141084
  virtual ~CUITileOptionScale();                           //00141414
  virtual void Render();                                   //001410C0
  virtual EUITileAction Process();                         //001412AC
  virtual EUITileAction ProcessInput(bool);                //001412B0
  int field_1AC;
  int* field_1B0;
  int field_1B4;
};

#endif  //_CUITILEOPTIONSCALE_H_